# Class FieldCategory

java.lang.Object
org.eclipse.ui.views.markers.internal.AbstractField
org.eclipse.ui.views.markers.internal.FieldCategory

All Implemented Interfaces:
  `IField`

public class FieldCategory extends AbstractField
FieldCategory is the field for showing categories of markers.

## Constructor Summary

Constructors
Constructor
Description
`FieldCategory()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object obj1, Object obj2)`
`Image`
`getColumnHeaderImage()`
`String`
`getColumnHeaderText()`
`int`
`getDefaultDirection()`
Get the default direction for the receiver.
`String`
`getDescription()`
`Image`
`getDescriptionImage()`
`Image`
`getImage(Object obj)`
`int`
`getPreferredWidth()`
Get the preferred width of the receiver.
`String`
`getValue(Object obj)`

### Methods inherited from class AbstractField

`isShowing, setShowing`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldCategory

public FieldCategory()

## Method Details

### getDescription

public String getDescription()

Returns:
  String the description of the field.

### getDescriptionImage

public Image getDescriptionImage()

Returns:
  the image associated with the description of the field or `null`.

### getColumnHeaderText

public String getColumnHeaderText()

Returns:
  The text to be displayed in the column header for this field.

### getColumnHeaderImage

public Image getColumnHeaderImage()

Returns:
  The image to be displayed in the column header for this field or `null`.

### getValue

public String getValue(Object obj)

Returns:
  The String value of the object for this particular field to be displayed to the user.

### getImage

public Image getImage(Object obj)

Returns:
  The image value of the object for this particular field to be displayed to the user or `null`.

### compare

public int compare(Object obj1, Object obj2)

Returns:
  Either:
  - a negative number if the value of obj1 is less than the value of obj2 for this field.
  - `0` if the value of obj1 and the value of obj2 are equal for this field.
  - a positive number if the value of obj1 is greater than the value of obj2 for this field.

### getDefaultDirection

public int getDefaultDirection()
Description copied from interface: `IField`
Get the default direction for the receiver. Return either `TableComparator.ASCENDING` or `TableComparator.DESCENDING`

Returns:
  int

### getPreferredWidth

public int getPreferredWidth()
Description copied from interface: `IField`
Get the preferred width of the receiver.

Returns:
  int